Bug 426735 - f-spot doesn't be launched in nautilus mime system.
f-spot doesn't be launched in nautilus mime system.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-25 10:59 EST by sangu
Modified: 2008-03-05 09:36 EST (History)
0 users

See Also:
Fixed In Version: 0.4.2-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 09:36:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
open with f-spot on nautilus, popup error dialog. (47.02 KB, image/png)
2007-12-25 10:59 EST, sangu
no flags Details

  None (edit)
Description sangu 2007-12-25 10:59:34 EST
Description of problem:
f-spot doesn't be launched in nautilus mime system.
$cat ~/.xsession-errors
[...]
System.ApplicationException: F-Spot cannot find the Dbus session bus.  Make sure
dbus is configured properly or start a new session for f-spot using "dbus-launch
f-spot" ---> System.Exception: Unable to open the session message bus. --->
System.ArgumentNullException: Argument cannot be null.
Parameter name: address
  at NDesk.DBus.Bus.Open (System.String address) [0x00000] 
  at NDesk.DBus.Bus.get_Session () [0x00000] --- End of inner exception stack
trace ---

  at NDesk.DBus.Bus.get_Session () [0x00000] 
  at NDesk.DBus.BusG.Init () [0x00000] 
  at FSpot.Driver.Main (System.String[] args) [0x00000] --- End of inner
exception stack trace ---

  at FSpot.Driver.Main (System.String[] args) [0x00000] 
Version-Release number of selected component (if applicable):
0.4.1-1.fc9

How reproducible:
always

Steps to Reproduce:
1. Click open with f-spot on nautilus context menu
2.
3.
  
Actual results:


Expected results:


Additional info:
mono-core-1.2.6-6.1.fc9
gtk-sharp2-2.10.0-6.fc8
dbus-1.1.2-9.fc9
ndesk-dbus-0.6.0-1.fc9
nautilus-2.21.1-2.fc9
gvfs-0.1.0-1.fc9
Comment 1 sangu 2007-12-25 10:59:34 EST
Created attachment 290376 [details]
open with f-spot on nautilus, popup error dialog.
Comment 2 sangu 2008-02-23 03:04:41 EST
After installing ndesk-dbus, ndesk-dbus-glib, this problem doesn't happen.

f-spot package must require ndesk-dbus and ndesk-dbus-glib package.

$ rpm -qR f-spot | grep NDesk
mono(NDesk.DBus) = 1.0.0.0
mono(NDesk.DBus.GLib) = 0.3.0.0
mono(NDesk.Glitz) = 0.0.0.0

Note You need to log in before you can comment on or make changes to this bug.